#!/bin/sh

rtc-template -bcxx \
    --module-name=Urg_to_Obstacles --module-type='DataFlowComponent' \
    --module-desc='compornent' \
    --module-version=1.0 --module-vendor='MyName' \
    --module-category=example \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
    --outport=obstacle:TimedObstacles \
    --inport=urg:TimedLongSequence \
    --consumer-idl=Obstacle.idl\
    --config="obstacle_max_radius:double:0.05" \
    --config="max_dist:double:3.0" \
    --config="urg_res:double:0.25"\
    --config="urg_anglefront:int:600"\
    --config="urg_anglemin:int:0"\
    --config="urg_pos_x:double:0.0" \
    --config="urg_pos_y:double:0.0" \
    --config="urg_pos_theta:double:0.0" 